#include<bits/stdc++.h>
using namespace std;
void del(long long chislo,long long deliteli[][2],long long &brDel){
    brDel=0;
    for(int i=1;i<=chislo;i++){
        if(chislo%i==0){
            if(chislo/i>=i){
                deliteli[brDel][0]=i;
                deliteli[brDel][1]=chislo/i;
                brDel++;
            }else{
                i=chislo+1;
            }
        }
    }
}
int main(){
long long deliteli[100000][2],deliteli2[10000][2],brDel=0,brDel2=0,n;
cin>>n;
del(n,deliteli,brDel);
int chislo;
int rezult=0;
for(int i=0;i<brDel;i++){
    chislo=deliteli[i][1];
    del(chislo,deliteli2,brDel2);
    rezult=rezult+brDel2;
    for(int j=0;j<brDel2;j++){
        if(!(deliteli2[j][0]>=deliteli[i][0] && deliteli2[j][1]>=deliteli[i][0])){
            rezult--;
        }
    }
}
cout<<rezult<<endl;
return 0;
}